2026
All credit batch endpoints and the
GET /issuances, GET /issuances/{id}, and GET /suppliers/{id}/issuances endpoints now return a credit_type field, for either removal or reduction creditsThe GET /organisations/{id}/credit_batches, GET /issuances, and GET /suppliers/{id}/issuances endpoints accept a credit_type query parameter to filter results by credit type.The
GET /projects, GET /projects/{id}, and
GET /suppliers/{id}/projects endpoints now return a protocol_data
object containing the protocol’s slug and name, along with the baseline_version and
current_version minor versions the project was validated against and currently operates under
(both null if the project has not been validated yet). The top-level protocol_slug field is
now deprecated in favour of protocol_data.slug.These endpoints also now return a durability field describing the durability of the carbon removal performed by the project (for example, over_one_thousand_years).A new
GET /transfers endpoint is now available, returning a paginated list of all
transfers on Isometric’s registry. Results can be filtered by from_organisation_id and
to_organisation_id query parameters, and are sorted by most recently transferred first.The
GET /issuances, GET /issuances/{id}, and GET /suppliers/{id}/issuances endpoints now return the start and end date of the reporting
period linked to the issuance.2025
The
POST /beneficiary endpoint now accepts two models:
CreateOrganizationBeneficiary and CreateIndividualBeneficiary. For the individual type, an
email address can be provided in place of a domain as the unique identifier.The
GET /projects and GET /suppliers endpoints now return additional
location information: latitude, longitude and description fields are returned in addition
to country_code and country_name.All credit batch endpoints now return
delivery_id and delivered_at
information for easier tracing of credit lifecycle timelines.The
GET /suppliers endpoint now returns short_description and
long_description text fields with a text description of the supplier’s activities.The
GET /projects endpoint now returns current_verifier_name with the currently
assigned verifier for a project.The
facility field returned from the GET /projects, GET /project/{id}, and
GET /suppliers/{id}/projects endpoints has been replaced by the new location field.
The facility field used to contain a name and a description, while the new location field contains
a country_code and a country_name.The
status field returned from the GET /projects and GET /project/{id}
endpoints will now return draft instead of registered. This change is to avoid ambiguity with the term ‘registered’
which in other registries may imply a different status. As draft projects are only visible to the project owner,
this should have very small impact.